using System;

namespace Kvalifikacije
{
    class Program
    {
        static void Main(string[] args)
        {
            int N, K;

            string[] m = Console.ReadLine().Split();

            N = int.Parse(m[0]);
            K = int.Parse(m[1]);

            int[] a = new int[N];

            string[] s = Console.ReadLine().Split();

            for(int i = 0; i < N; i++)
            {
                a[i] = int.Parse(s[i]);
            }

            if (BinSearch(a, K) == N - 1) { Console.WriteLine(a[0]); }
            else { Console.WriteLine(a[BinSearch(a, K) + 1]); }
     
        }

        static int BinSearch(int[] a, int b)
        {
            int i = 0;
            int k = a.Length - 1;

            while (i < k)
            {
                int j = (i + k) / 2;

                if (b == a[j]) { return j; }
                if (b < a[j]) { k = j - 1; }
                else { i = j + 1; }
            }
            if (i == k && b == a[k]) { return k; }
            return -1;
        }
    }
}